Xerces2 Implementation: Class ImmutableLocation

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.stax
Class ImmutableLocation

    java.lang.Object
      |
      +--org.apache.xerces.stax.ImmutableLocation

All Implemented Interfaces:
  javax.xml.stream.Location

public class ImmutableLocation
extends java.lang.Object
implements javax.xml.stream.Location

An immutable StAX `Location`.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: ImmutableLocation.java 730445 2008-12-31 19:12:02Z mrglavas $
Author:
  Michael Glavassevich, IBM

Constructor Summary
`ImmutableLocation(int characterOffset, int columnNumber, int lineNumber, java.lang.String publicId, java.lang.String systemId)`
`ImmutableLocation(javax.xml.stream.Location location)`

Method Summary
`int` | `getCharacterOffset()`
`int` | `getColumnNumber()`
`int` | `getLineNumber()`
`java.lang.String` | `getPublicId()`
`java.lang.String` | `getSystemId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImmutableLocation

    public ImmutableLocation(javax.xml.stream.Location location)

### ImmutableLocation

    public ImmutableLocation(int characterOffset,
                             int columnNumber,
                             int lineNumber,
                             java.lang.String publicId,
                             java.lang.String systemId)

Method Detail

### getCharacterOffset

    public int getCharacterOffset()

  Specified by:
    `getCharacterOffset` in interface `javax.xml.stream.Location`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `javax.xml.stream.Location`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `javax.xml.stream.Location`

### getPublicId

    public java.lang.String getPublicId()

  Specified by:
    `getPublicId` in interface `javax.xml.stream.Location`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `javax.xml.stream.Location`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.